com.impinj.octane

## Class SectorConfig

- java.lang.Object
- - com.impinj.octane.SectorConfig

-     public class SectorConfig
      extends java.lang.Object

  Contains sector configuration for xArray. This class contains the configuration for a single sector of the xArray. xArray antennas are organized into sectors for ease of use by the application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `get_sectorId()`
    `java.util.List<java.lang.Double>` | `get_txFrequenciesInMhz()` This is only applicable in regions that allow frequency control
    `boolean` | `getMaxTxPower()`
    `double` | `getRxSensitivityInDbm()`
    `double` | `getTxPowerInDbm()`
    `boolean` | `isMaxRxSensitivity()`
    `void` | `set_sectorId(short _sectorId)`
    `void` | `set_txFrequenciesInMhz(java.util.List<java.lang.Double> _txFrequenciesInMhz)` This is only applicable in regions that allow frequency control
    `void` | `setMaxRxSensitivity(boolean maxRxSensitivity)` Specifies that the maximum antenna receive sensitivity setting should be used.
    `void` | `setMaxTxPower(boolean maxTxPower)` Specifies that the maximum antenna transmit power setting should be used.
    `void` | `setRxSensitivityInDbm(double rxSensitivityinDbm)` Defines the receive sensitivity in dBm (e.g.
    `void` | `setTxPowerInDbm(double txPowerinDbm)` Defines the antenna transmit power in dBm (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SectorConfig

          public SectorConfig()

  - ### Method Detail

    - #### getTxPowerInDbm

          public double getTxPowerInDbm()

      Returns:
        the current configured power for the secot antennas

    - #### setTxPowerInDbm

          public void setTxPowerInDbm(double txPowerinDbm)

      Defines the antenna transmit power in dBm (e.g. 24.0 dBm).
      Parameters:
        `txPowerinDbm` - desired power for the sector antennas

    - #### getRxSensitivityInDbm

          public double getRxSensitivityInDbm()

      Returns:
        the current receive sensitivity for the sector antennas

    - #### setRxSensitivityInDbm

          public void setRxSensitivityInDbm(double rxSensitivityinDbm)

      Defines the receive sensitivity in dBm (e.g. -55 dBm).
      Parameters:
        `rxSensitivityinDbm` - the desired receive sensitivity for the sector antennas

    - #### isMaxRxSensitivity

          public boolean isMaxRxSensitivity()

      Returns:
        true if all sector antennas are using max sensitivity

    - #### setMaxRxSensitivity

          public void setMaxRxSensitivity(boolean maxRxSensitivity)

      Specifies that the maximum antenna receive sensitivity setting should be used.
      Parameters:
        `maxRxSensitivity` - true for all sector antennas to use max sensitivity

    - #### getMaxTxPower

          public boolean getMaxTxPower()

      Returns:
        true if all sector antennas are using max transmit power

    - #### setMaxTxPower

          public void setMaxTxPower(boolean maxTxPower)

      Specifies that the maximum antenna transmit power setting should be used.
      Parameters:
        `maxTxPower` - true to have all sector antennas use max transmit power

    - #### get_txFrequenciesInMhz

          public java.util.List<java.lang.Double> get_txFrequenciesInMhz()

      This is only applicable in regions that allow frequency control
      Returns:
        the list of frequencies configured for this sector antenna.

    - #### set_txFrequenciesInMhz

          public void set_txFrequenciesInMhz(java.util.List<java.lang.Double> _txFrequenciesInMhz)

      This is only applicable in regions that allow frequency control
      Parameters:
        `_txFrequenciesInMhz` - a list of frequencies for the sector antennas to use

    - #### get_sectorId

          public short get_sectorId()

      Returns:
        the Id for this sector

    - #### set_sectorId

          public void set_sectorId(short _sectorId)

      Parameters:
        `_sectorId` - the id for this sector